Main Page glibmm Namespaces Book

# Glib::Markup Namespace Reference

## Classes

class | AttributeKeyLess
| Binary predicate used by Markup::Parser::AttributeMap. More...
class | Parser
| The abstract markup parser base class. More...
class | ParseContext
| A parse context is used to parse marked-up documents. More...

## Typedefs

typedef Glib::MarkupError | Error

## Enumerations

enum | ParseFlags { DO_NOT_USE_THIS_UNSUPPORTED_FLAG = 1 << 0, TREAT_CDATA_AS_TEXT = 1 << 1 }

## Functions

Glib::ustring | escape_text (const Glib::ustring& text)
| Escapes text so that the markup parser will parse it verbatim.
ParseFlags | operator| (ParseFlags lhs, ParseFlags rhs)
ParseFlags | operator& (ParseFlags lhs, ParseFlags rhs)
ParseFlags | operator^ (ParseFlags lhs, ParseFlags rhs)
ParseFlags | operator~ (ParseFlags flags)
ParseFlags& | operator|= (ParseFlags& lhs, ParseFlags rhs)
ParseFlags& | operator&= (ParseFlags& lhs, ParseFlags rhs)
ParseFlags& | operator^= (ParseFlags& lhs, ParseFlags rhs)